Name:           abcde
Version:        2.3.99.6
Release:        6
Summary:        A Better CD Encoder

Group:          Applications/Multimedia
# Also "Larry Wall's Artistic" upstream, but the original Artistic is
# not accepted in Fedora
License:        GPLv2+
URL:            http://www.hispalinux.es/~data/abcde.php
Source0:        http://ftp.debian.org/debian/pool/main/a/abcde/%{name}_%{version}.orig.tar.gz
Patch0:         %{name}-2.1.19-inst.patch
# Patch1: http://patches.ubuntu.com/a/abcde/abcde_2.3.99.6-1ubuntu2.patch
# with non-applicable parts removed.
Patch1:         %{name}_2.3.99.6-1ubuntu2.patch
Patch2:         %{name}-2.3.99.6-usage.patch
Patch3:         %{name}-2.3.99.6-speex-comment.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       cd-discid
Requires:       cdparanoia
Requires:       wget
Requires:       which
Requires(hint): vorbis-tools
Requires(hint): flac

%description
abcde is a frontend command-line utility (actually, a shell script)
that grabs audio tracks off a CD, encodes them to various formats, and
tags them, all in one go.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
sed -i -e 's/normalize-audio/normalize/g' abcde*
sed -i -e 's/^#NOGAP$/#NOGAP=y/' abcde.conf
mv examples/cue2discid .


%build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -pm 755 cue2discid $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING FAQ README TODO USEPIPES changelog examples/
%config(noreplace) %{_sysconfdir}/abcde.conf
%{_bindir}/abcde
%{_bindir}/cddb-tool
%{_bindir}/cue2discid
%{_mandir}/man1/abcde.1*
%{_mandir}/man1/cddb-tool.1*


%changelog
* Sat Jan 19 2008 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.6-6
- Include fixes from Ubuntu's 2.3.99.6-1ubuntu2: enables M4A and Speex
  tagging, fixes range code, and the -M option.
- Fix Speex comment tagging.
- Fix some usage message spelling errors.
- Drop disttag.

* Sat Sep 29 2007 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.6-4
- Requires: which

* Mon Aug 13 2007 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.6-3
- License: GPLv2+
- Add (empty) %%build section.

* Tue Aug 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.6-2
- Change vorbis-tools and flac dependencies to Requires(hint), drop
  speex dependency.

* Mon Aug  7 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.6-1
- 2.3.99.6.

* Wed Mar  1 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.5-1
- 2.3.99.5.

* Wed Dec 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99.2-1
- 2.3.99.2, config file fixes mostly applied upstream.

* Sat Dec 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.3.99-1
- 2.3.99, minor config file fixes.

* Mon Sep  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.3.4-1
- 2.3.4.

* Fri Aug 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.3.3-1
- 2.3.3.
- Reformat specfile.

* Sat Aug 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.3.2-1
- 2.3.2, vi and genre patches applied upstream.
- Convert man page to UTF-8.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.3-2
- rebuilt

* Thu Feb 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.2.3-1
- Update to 2.2.3.

* Mon Jan 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.2.0-2
- Add vorbis-tools, flac, cdparanoia, wget, and speex dependencies.
- Weed out some Debianisms from default external tool names.
- Include more docs.

* Fri Jan 14 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.0

* Wed Apr 14 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.1.19

* Tue May 21 2002 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.3
- update rh, genre patches

* Wed Apr 25 2001 Nils Philippsen <nphilipp@redhat.com>
- version 1.9.9
- configuration now uses freedb.org per default, no need to patch
- various artist media can have a different output file name (than single
  artist ones)
- fix newlines with CR in parsing cddb genre

* Tue Jan 09 2001 Nils Philippsen <nphilipp@redhat.com>
- version 1.9.7
- initial build

